Skip to main content
PATCH
Change Member by External ID

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

external_id
string
required

Identifier of the member external.

Query Parameters

customer_id
string<uuid> | null

Identifier of the customer.

external_customer_id
string | null

Identifier of the customer external.

Body

application/json

Schema for updating a member.

name
string | null

Name assigned to the member.

Maximum string length: 256
Example:

"Jane Doe"

email
string<email> | null
role
enum<string> | null

Role: Role of the member within the customer.

Available options:
owner,
billing_manager,
member
Example:

"member"

Response

Response: Member updated.

Object representing member of a customer.

id
string<uuid4>
required

Unique identifier for the member.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

customer_id
string<uuid4>
required

Unique identifier for the customer this member belongs to.

email
string
required

Email: Email address of the member.

Example:

"member@example.com"

name
string | null
required

Name assigned to the member.

Example:

"Jane Doe"

external_id
string | null
required

Identifier of the member in your system. This must be unique within the customer..

Example:

"usr_1337"

role
enum<string>
required

Role: Role of the member within the customer.

Available options:
owner,
billing_manager,
member
Example:

"owner"